Summary:        Pytest plugin for manipulating test data directories and files
Name:           python-pytest-datadir
Version:        1.4.1
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{url}/archive/%{version}/pytest-datadir-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3dist(docutils)

# for test
BuildRequires:  python3-pytest

BuildArch:      noarch

%description
pytest plugin for manipulating test data directories and files.


%package     -n python3-pytest-datadir
Summary:        Pytest plugin for manipulating test data directories and files


%description -n python3-pytest-datadir
pytest plugin for manipulating test data directories and files.


%prep
%autosetup -n pytest-datadir-%{version}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html


%install
%pyproject_install
%pyproject_save_files pytest_datadir


%check
%pytest


%files -n python3-pytest-datadir -f %{pyproject_files}
%doc AUTHORS CHANGELOG.html README.md


%changelog
* Wed Sep 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-3
- [Type] other
- [DESC] Remove python-tox-current-env, tox  BuildRequires

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.1-1
- Initial build
